<link rel="stylesheet" type="text/css" href="/templates/default/css/mcolor_content.css">
<link rel="stylesheet" type="text/css" href="/templates/default/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<?php
    if( $ctype['options']['list_show_filter'] ) {
        $this->renderAsset('ui/filter-panel', array(
            'css_prefix' => $ctype['name'],
            'page_url' => $page_url,
            'fields' => $fields,
            'props_fields' => $props_fields,
            'props' => $props,
            'filters' => $filters,
			'ext_hidden_params' => $ext_hidden_params,
            'is_expanded' => $ctype['options']['list_expand_filter']
        ));
    }
?>
<?php if ($items){ ?>
	<div class="sc_mcolor_box content_list">
	<?php foreach($items as $item){ ?>
		<?php 
			$item['ctype'] = $ctype;
			$item['ctype_name'] = $ctype['name'];
			$is_private = !empty($item['is_private_item']);
			$img = '/templates/default/images/bezfoto.png';
			if (!empty($item['photo'])){$img = html_image_src($item['photo'], 'big', true);}
			if($is_private){$img = html_image_src(default_images('private', 'big'), 'big', true);}
			$ico = $is_private ? '<i class="fa fa-lock"></i>' : false;
			$url = $is_private ? 'javascript:void(0);' : href_to($ctype['name'], $item['slug'].'.html');
		?>
		<div class="sc_mcolor_list">
		<?php if (isset($fields['date_event']) && $fields['date_event']['is_in_list'] && !empty($item['date_event'])){ ?>
			<div class="mcolor_date">
				<strong><?php echo date('j', strtotime($item['date_event'])); ?></strong><br>
						<?php echo date('M', strtotime($item['date_event'])); ?>
			</div>
		<?php } else { ?>
		<?php if (isset($fields['date_pub']) && $fields['date_pub']['is_in_list'] && !empty($item['date_pub'])){ ?>
			<div class="mcolor_date">
				<strong><?php echo date('j', strtotime($item['date_pub'])); ?></strong><br>
						<?php echo date('M', strtotime($item['date_pub'])); ?></div>
			<?php }
				}?>		
			
			<div class="mcolor_image">
				<a class="image_a" href="<?php echo $url; ?>">
					<img src="<?php echo $img; ?>" alt="<?php echo $item['title']; ?>">
				</a>
			</div>
			<div class="mcolor_content">
				<h2 class="mcolor_title"><a class="image_a" href="<?php echo $url; ?>"><?php echo $ico .' '. $item['title']; ?></a></h2>
				<?php if (isset($fields['content']) && $fields['content']['is_in_list'] && !empty($item['content'])){ ?>
					<div class="mcolor_desc">
					<p><?php echo $item['content']?></p>
					</div>
					
				<?php } ?>
			</div>
			<div class="mcolor_meta">
				<ul class="mcolor_meta_links clearfix">
					<li><a><i class="fa fa-eye"></i><?php echo $item['hits_count']; ?></a></li>
					<?php if (!empty($item['comments'])) { ?>
					<li><a><i class="fa fa-comment"></i><?php echo $item['comments']; ?></a></li>
					<?php } ?>
					<?php if (!empty($item['rating'])) { ?>
					<li><a><i class="fa fa-star"></i><?php echo $item['rating']; ?></a></li>
					<?php } ?>
					<li><a href="<?php echo $url; ?>"><i class="fa fa-refresh fa-spin fa-fw"></i></a></li>
				</ul>
			</div>
		</div>
	<?php } ?>
	</div>
				<script>
				        Array.from(document.querySelectorAll('.mcolor_desc p')).forEach(function (desc) {
							var desc_text = desc.textContent;
							if (desc_text.length == 0) {desc.remove();}
						});
				</script>
	
	<?php if ($perpage < $total) { ?>
        <?php echo html_pagebar($page, $perpage, $total, $page_url, array_merge($filters, $ext_hidden_params)); ?>
    <?php } ?>
<?php } else {

    if(!empty($ctype['labels']['many'])){
        echo sprintf(LANG_TARGET_LIST_EMPTY, $ctype['labels']['many']);
    } else {
        echo LANG_LIST_EMPTY;
    }

}
